Package org.eclipse.lemminx.uriresolver

## Interface IExternalGrammarLocationProvider

All Known Implementing Classes:
  `URIResolverExtensionManager`, `XMLFileAssociationResolverExtension`

    public interface IExternalGrammarLocationProvider

### Field Summary

Fields
`static String` `DOCTYPE`
`static String` `NO_NAMESPACE_SCHEMA_LOCATION`
`static String` `RELAXNG`
`static String` `SCHEMA_LOCATION`

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,​String>` `getExternalGrammarLocation​(URI fileURI)` Provided the file path URI, this will return the external schema location.

### Field Detail

#### SCHEMA_LOCATION

    static final String SCHEMA_LOCATION

See Also:
  Constant Field Values

#### NO_NAMESPACE_SCHEMA_LOCATION

    static final String NO_NAMESPACE_SCHEMA_LOCATION

See Also:
  Constant Field Values

#### DOCTYPE

    static final String DOCTYPE

See Also:
  Constant Field Values

#### RELAXNG

    static final String RELAXNG

See Also:
  Constant Field Values

### Method Detail

#### getExternalGrammarLocation

    Map<String,​String> getExternalGrammarLocation​(URI fileURI)

Provided the file path URI, this will return the external schema location. The schema location is associated to a specific property, which serves as the key in the map. The supported properties are:

http://apache.org/xml/properties/schema/external-schemaLocation - The value for this property follows the same rules as the schemaLocation attribute for an XML document (i.e., multiple schemas are acceptable and must be white-space separated).

http://apache.org/xml/properties/schema/external-noNamespaceSchemaLocation - The value for this property follows the same rules as the noNamespaceSchemaLocation attribute for an XML document (i.e., only one schema is allowed).

Parameters:
  `filePath` - the path for the XML file
Returns:
  a `Map` associating the external-schemaLocation and/or external-noNamespaceSchemaLocation to the schema location